IteratedHashBase< T, BASE > Class Template Referenceabstract

_ More...

`#include <iterhash.h>`

Inheritance diagram for IteratedHashBase< T, BASE >:

## Public Types

typedef T | HashWordType

## Public Member Functions

unsigned int | OptimalBlockSize () const
unsigned int | OptimalDataAlignment () const
void | Update (const byte *input, size_t length)
byte * | CreateUpdateSpace (size_t &size)
void | Restart ()
void | TruncatedFinal (byte *digest, size_t size)

## Protected Member Functions

T | GetBitCountHi () const
T | GetBitCountLo () const
void | PadLastBlock (unsigned int lastBlockSize, byte padFirst=0x80)
virtual void | Init ()=0
virtual ByteOrder | GetByteOrder () const =0
virtual void | HashEndianCorrectedBlock (const HashWordType *data)=0
virtual size_t | HashMultipleBlocks (const T *input, size_t length)
void | HashBlock (const HashWordType *input)
virtual T * | DataBuf ()=0
virtual T * | StateBuf ()=0

## Detailed Description

### template<class T, class BASE>
class IteratedHashBase< T, BASE >

_

Definition at line 21 of file iterhash.h.

The documentation for this class was generated from the following file:

- iterhash.h